/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 */

package com.yami.shop.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.bean.model.User;
import com.yami.shop.bean.model.UserExtension;
import com.yami.shop.common.util.PageParam;

import java.util.List;

/**
 * 用户扩展信息
 *
 * @author LGH
 * @date 2020-02-26 16:03:14
 */
public interface UserExtensionService extends IService<UserExtension> {

    Page<UserExtension> getPage(PageParam<UserExtension> page, UserExtension userExtension);

    void setUserLevelBylevelId(Integer level);
    void updateMemberByTime(List<User> userList, List<UserExtension> userExtensions);
    void setMaxUserLevelByLevelId(Integer level, Integer minNeedGrowth, Integer maxNeedGrowth);

    void updateBatchByUserId(List<UserExtension> userExtensions);
}
